# Define version and release number
%define modname msgpack
%define soname %{modname}.so
%define inifile A50_%{modname}.ini

Name:		php-%{modname}
Version:	2.1.2
Release:	%mkrel 2
Group:		Development/PHP
Summary:	PHP extension for interfacing with MessagePack
License:	New BSD
URL:		https://pecl.php.net/package/msgpack
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	pkgconfig(msgpack)
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.1.0
Requires:       php-common = 3:8.1

%description
This extension provide API for communicating with MessagePack serialization.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_includedir}/php/ext/%{modname}

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install php_msgpack.h %{buildroot}%{_includedir}/php/ext/%{modname}/


cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%{_includedir}/php/ext/%{modname}/php_msgpack.h



%changelog
* Fri Nov 26 2021 mokraemer <mokraemer> 2.1.2-2.mga9
+ Revision: 1759393
- rebuild for php 8.1

* Sat Nov 28 2020 mokraemer <mokraemer> 2.1.2-1.mga8
+ Revision: 1649891
- new version 2.1.2

* Tue Jul 28 2020 mokraemer <mokraemer> 2.1.1-1.mga8
+ Revision: 1609387
- new version 2.1.1

* Thu Jun 18 2020 mokraemer <mokraemer> 2.1.0-2.mga8
+ Revision: 1596226
- fix dep to current version

* Mon Mar 02 2020 mokraemer <mokraemer> 2.1.0-1.mga8
+ Revision: 1553108
- new version 2.1.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.3-5.mga8
+ Revision: 1538982
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.3-4.mga8
+ Revision: 1463534
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2.0.3-3.mga8
+ Revision: 1454923
- removed dirname

* Fri Dec 21 2018 mokraemer <mokraemer> 2.0.3-2.mga7
+ Revision: 1344208
- removed test files, added interface

* Thu Dec 20 2018 mokraemer <mokraemer> 2.0.3-1.mga7
+ Revision: 1343484
- new version 2.0.3 for php 7.3
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.2-4.mga7
+ Revision: 1326068
- updated requires
- updated requires

* Fri Oct 05 2018 mokraemer <mokraemer> 2.0.2-3.mga7
+ Revision: 1317935
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 mokraemer <mokraemer> 2.0.2-2.mga7
+ Revision: 1184549
+ rebuild (emptylog)

* Sun Dec 24 2017 mokraemer <mokraemer> 2.0.2-1.mga7
+ Revision: 1184544
- new msgpack decoder for php
- Created package structure for php-msgpack.

